Bug 1467810 - pdns-recursor configuration option "logging-facility" has no effect
pdns-recursor configuration option "logging-facility" has no effect
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pdns-recursor (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 04:28 EDT by David Tonhofer
Modified: 2017-08-08 15:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 15:51:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2017-07-05 04:28:33 EDT
Description of problem:
=======================

The pdns-recursor can be instructed to log using a facility other than "daemon" by setting the option "logging-facility" in the config file 

/etc/pdns-recursor/recursor.conf

For example:

-----8<-----
#################################
# logging-facility      Facility to log messages as. 0 corresponds to local0
#
logging-facility=0
-----8<-----

However, setting this option leads to no change in behaviour. Messages are still logged to "daemon" after pdns restart (systemctl restart pdns-recursor)

Version-Release number of selected component (if applicable):
=============================================================

pdns-recursor-4.0.4-1.fc24.x86_64

How reproducible:
=================

Always
Comment 1 Sander Hoentjen 2017-07-10 04:26:44 EDT
This is because /usr/lib/systemd/system/pdns-recursor.service has
ExecStart=/usr/sbin/pdns_recursor --daemon=no --write-pid=no --disable-syslog

If you create your own service file in /etc without -disable-syslog it will work.
Comment 2 David Tonhofer 2017-07-13 06:36:07 EDT
Thanks Sander

So:

In the default setup ("--deamon=no" and "--disable-syslog" in the unit file), pdns-recursor logs to STDOUT only, which is captured by systemd and directed to the journal, with "daemon" facility.

If "--disable-syslog" is removed from the unit file (and not present in 
/etc/pdns-recursor/recursor.conf), then pdns-recursor additionally logs to the journal via syslog(2) calls. In that case, the pdns-recursor option "logging-facility=3" has some effect, and loglines appear in the journal, with "local3" facility (the loglines with "daemon" facility keep appearing as logging to STDOUT is still ongoing). This can be suppressed with "StandardOutput=null" in the "[Service]" section (see man systemd.exec)

However:

It is easiest to keep '--disable-syslog' and add 'SyslogFacility=local3' to the "[Service]" section (see man systemd.exec). 

Case closed!
Comment 3 Fedora End Of Life 2017-07-25 20:26:17 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 David Tonhofer 2017-07-31 13:03:25 EDT
Definitely can be closed
Comment 5 Fedora End Of Life 2017-08-08 15:51:06 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.